import { taiwanCities } from '~/shared/const/taiwan-cities';

import Vue from 'vue'

Vue.filter('toServeArea', (value: string): string => {

  if (!value || typeof value !== 'string') {
    return '--';
  }

  const serveAreaLength = value.split('、').length;

  return serveAreaLength === taiwanCities.length
        ? '全台'
        : value;
})
